Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model
Interface NodePointerFactory

All Known Implementing Classes:
  BeanPointerFactory, CollectionPointerFactory, ContainerPointerFactory, DOMPointerFactory, DynaBeanPointerFactory, DynamicPointerFactory, JDOMPointerFactory, VariablePointerFactory

    public interface NodePointerFactory

Creates NodePointers for objects of a certain type. NodePointerFactories are ordered according to the values returned by the "getOrder" method and always queried in that order.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Method Summary
`NodePointer` | `createNodePointer(NodePointer parent, QName name, Object object)` Create a NodePointer for the supplied child object.
`NodePointer` | `createNodePointer(QName name, Object object, Locale locale)` Create a NodePointer for the supplied object.
`int` | `getOrder()` The factory order number determines its position between other factories.

Method Detail

### getOrder

    int getOrder()

  The factory order number determines its position between other factories.

  Returns:
    int order

### createNodePointer

    NodePointer createNodePointer(QName name,
                                  Object object,
                                  Locale locale)

  Create a NodePointer for the supplied object. The node will represent the "root" object for a path.

  Parameters:
    `name` - String node name
    `object` - child object
    `locale` - Locale
  Returns:
    null if this factory does not recognize objects of the supplied type.

### createNodePointer

    NodePointer createNodePointer(NodePointer parent,
                                  QName name,
                                  Object object)

  Create a NodePointer for the supplied child object.

  Parameters:
    `parent` - parent node
    `name` - String node name
    `object` - child object
  Returns:
    null if this factory does not recognize objects of the supplied type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.